package be.iminds.ilabt.jfed.rspec.rspec_source;

import be.iminds.ilabt.jfed.rspec.model.ModelRspec;
import be.iminds.ilabt.jfed.rspec.model.ModelRspecType;
import be.iminds.ilabt.jfed.rspec.model.StringRspec;

import javax.annotation.Nonnull;

/**
 * RequestRspecSource
 */
public class CachingRequestRspecSource extends CachingRspecSource implements RequestRspecSource {

    public CachingRequestRspecSource(@Nonnull CachingRequestRspecSource orig) {
        super(orig);
    }
    public CachingRequestRspecSource(@Nonnull StringRspec stringRspec) {
        super(stringRspec);
    }
    public CachingRequestRspecSource(@Nonnull StringRspec stringRspec, @Nonnull ModelRspecType modelRspecType) {
        super(stringRspec, modelRspecType);
    }

    public CachingRequestRspecSource(@Nonnull ModelRspec modelRspec) {
        super(modelRspec);
    }

    /** Determines automatically to use raw XML, or ModelRspec */
    public CachingRequestRspecSource(@Nonnull String xmlRspecString, @Nonnull ModelRspecType modelRspecType) {
        super(xmlRspecString, modelRspecType);
    }


}
